// graphics primitives

SDL_Surface* loadImage(char* filename);

void applySurface(int x, int y, SDL_Surface* source, SDL_Surface* destination, SDL_Rect* clip);

Uint32 getPixel(SDL_Surface* surface, int x, int y);

void scaleScreen();

// SDL sound


#ifdef SOUND_ON
Mix_Music* loadBGM(char* filename);

Mix_Chunk* loadSFX(char* filename);
#endif
// world

void renderBackground();

void renderForeground();

void renderHUD();

void interact();

void kListen();

// system

int init(int argc, char* args[]);

void writeSpellBook();

void toggleFullscreen();

void timeDilation();

void frameAdvance();

void cleanup();

void intro();

void mainmenu();

void pausemenu();
